--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Return array of records (Structs) to be updated based on select cond.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*updates*:"
    body: Hash or Struct containing updates.
  - !ruby/struct:SM::Flow::LI 
    label: "*select_cond*:"
    body: Proc containing code to select records to update.
  type: :NOTE
full_name: KirbyBase::KBTable#update
is_singleton: false
name: update
params: (*updates, &select_cond)
visibility: public
